{% extends 'base.html' %}
{% load static %}

{% block title %}Widget's Forum{% endblock %}

{% block heading %}<h1> Welcome to Widget's Forum! </h1>{% endblock %}

{% block content %}
<p>
    Forum Posts:<br>
    {% for post in posts|slice:"::-1" %}
    <a href="{{ post.get_absolute_url }}">
        {{ post.title }} by {{ post.author.first_name }} {{ post.author.last_name }}
    </a><br>
    {% endfor %}

</p>
{% endblock %}

{% block footing %}
<p class="centerB">
    <a href="{% url 'forum:forumpost-create' %}">
        <button class="btn add">New Post</button>
    </a>
</p>
<p><a href="/dashboard/" class="link">Dashboard</a><br>
    <a href="/announcements/" class="link">Announcements</a><br>
    <a href="/assignments/" class="link">Assignments</a><br>
    <a href="/calendar/" class="link">Calendar</a>
</p>

{% endblock %}